#
# spec file for package mod_mono (Version 1.2.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools mono-core mono-data mono-devel mono-web mono-winforms ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           mod_mono
BuildRequires:  apache2-devel libapr-util1-devel mono-devel pcre-devel
Url:            http://go-mono.com/
%define prefix /usr
%define gnome_prefix /opt/gnome
%define sysconfdir /etc
License:        GPL v2 or later
Group:          Productivity/Networking/Web/Servers
AutoReqProv:    on
Requires:       gnome-filesystem xsp
Version:        1.2.5
Release:        0.2
Summary:        Run ASP.NET Pages on Unix with Apache and Mono
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mod_mono is a module that interfaces Apache with Mono and allows
running ASP.NET pages on Unix and Unix-like systems.



%debug_package
%prep
%setup

%build
# Necessary when building with apr 1.2.x instead of the apr that comes with httpd
export CPPFLAGS="-I/usr/include/apr-1"
autoreconf -fi
#
./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib \
	    --mandir=%{prefix}/share/man \
	    --infodir=%{prefix}/share/info \
	    --sysconfdir=%{sysconfdir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%define       apache2_sysconfdir        %(/usr/sbin/apxs2 -q SYSCONFDIR)
%define       apache2_libexecdir        %(/usr/sbin/apxs2 -q LIBEXECDIR)

%files
%defattr(-,root,root)
%{apache2_libexecdir}/*
%{apache2_sysconfdir}/*
%{prefix}/share/man/man8/mod_mono.8.gz
%changelog
* Sat Sep 22 2007 - wberrier@suse.de
- Update to 1.2.5
 -For bug: bnc #309100 (performance and stability for iFolder)
 -swampid: 13315
* Tue Dec 05 2006 - wberrier@suse.de
- Spec changes:
- Removed xsp from build deps
- Removed configure patch
-Version updates:
- Update to 1.2.1 (Fate #301111)
 -handle the new configurable umask directive
- Update 1.1.18
 -fix for autohosting and virtual hosts
- Update to 1.1.17
 -Added support for X.509 client certificates
- Update to 1.1.16.1
 -src/mod_mono.c: when using autoapplications, pass all the options that
  don't have an explicit alias to XXGLOBAL, which is the internal name
  used for the mod-mono-server instance that will create new applications
  on demand. Using XXGLOBAL as an identifier is forbidden now.
 -src/mod_mono.c: allow setting MonoDebug when using automatic
  applications. Before this fix, no mod-mono-server would be started.
  Fixes bug #78672.
* Mon Nov 13 2006 - poeml@suse.de
- fix build with httpd-2.2.3, adding mod_mono-1.1.13.5-configure.dif
  which fixes usage of CFLAGS and CPPFLAGS. Without this patch, the
  flags were not used during the configure tests at all, and
  configure would fail to detect the Apache version. It claimed to
  find Apache 1.3 because the test program didn't compile on 32 bit
  platforms any more. (It still worked on 64 bit platforms.) Patch
  from mod_mono 1.1.18.
* Fri Apr 07 2006 - wberrier@novell.com
- Update to 1.1.13.5, minor bug fix release
 -Fix DoS (Critical fix for iFolder)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 07 2006 - wberrier@suse.de
- Get building with apache 2.2
 - use apr 1.1.x instead of apr provided with httpd
 - needed CPPFLAGS to find apr dev files
 - autoreconf fixes configure in order to find apache/apr headers
- Cleaned up deps (no gtk/x/gnome needed)
* Sat Nov 12 2005 - wberrier@suse.de
- 1.1.10 tarball was updated
* Fri Nov 11 2005 - wberrier@suse.de
- Update to 1.1.10, remove icu deps
* Fri Oct 07 2005 - wberrier@suse.de
- Updated to 1.1.9.2
* Tue Aug 09 2005 - gekker@suse.de
- Update to version 1.0.9
* Mon Feb 21 2005 - clahey@suse.de
- Update to 1.0.6.
* Tue Dec 14 2004 - clahey@suse.de
- New package.
